Package org.eclipse.lemminx.commons

## Class CodeActionFactory

- java.lang.Object
- - org.eclipse.lemminx.commons.CodeActionFactory

    public class CodeActionFactory
    extends Object

Factory for simple `CodeAction`

### Constructor Summary

Constructors
`CodeActionFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.lsp4j.CodeAction` `createCommand​(String title, String commandId, List<Object> commandParams, org.eclipse.lsp4j.Diagnostic diagnostic)` Makes a CodeAction to call a command from the available server commands.
`static org.eclipse.lsp4j.CodeAction` `createFile​(String title, String fileURI, String fileContent, org.eclipse.lsp4j.Diagnostic diagnostic)` Makes a CodeAction to create a file and add content to the file.
`static org.eclipse.lsp4j.WorkspaceEdit` `createFileEdit​(String fileURI, String fileContent)` Returns the file edit to create the file with the given `fileURI` and the given `fileContent`.
`static org.eclipse.lsp4j.WorkspaceEdit` `getReplaceWorkspaceEdit​(String replaceText, org.eclipse.lsp4j.Range range, org.eclipse.lsp4j.TextDocumentItem document)` Returns the workspace edit of a given replacement text and range.
`static org.eclipse.lsp4j.CodeAction` `insert​(String title, org.eclipse.lsp4j.Position position, String insertText, org.eclipse.lsp4j.TextDocumentItem document, org.eclipse.lsp4j.Diagnostic diagnostic)` Create a CodeAction to insert a new content at the end of the given range.
`static org.eclipse.lsp4j.TextEdit` `insertEdit​(String insertText, org.eclipse.lsp4j.Position position)`
`static org.eclipse.lsp4j.TextDocumentEdit` `insertEdit​(String insertText, org.eclipse.lsp4j.Position position, org.eclipse.lsp4j.TextDocumentItem document)` Returns the text edit to insert a new content at the end of the given range.
`static org.eclipse.lsp4j.TextDocumentEdit` `insertEdits​(org.eclipse.lsp4j.TextDocumentItem document, List<org.eclipse.lsp4j.TextEdit> edits)`
`static org.eclipse.lsp4j.CodeAction` `remove​(String title, org.eclipse.lsp4j.Range range, org.eclipse.lsp4j.TextDocumentItem document, org.eclipse.lsp4j.Diagnostic diagnostic)` Create a CodeAction to remove the content from the given range.
`static org.eclipse.lsp4j.CodeAction` `replace​(String title, List<org.eclipse.lsp4j.TextEdit> replace, org.eclipse.lsp4j.TextDocumentItem document, org.eclipse.lsp4j.Diagnostic diagnostic)`
`static org.eclipse.lsp4j.CodeAction` `replace​(String title, org.eclipse.lsp4j.Range range, String replaceText, org.eclipse.lsp4j.TextDocumentItem document, org.eclipse.lsp4j.Diagnostic diagnostic)`
`static org.eclipse.lsp4j.CodeAction` `replaceAt​(String title, String replaceText, org.eclipse.lsp4j.TextDocumentItem document, org.eclipse.lsp4j.Diagnostic diagnostic, Collection<org.eclipse.lsp4j.Range> ranges)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodeActionFactory

    public CodeActionFactory()

### Method Detail

#### remove

    public static org.eclipse.lsp4j.CodeAction remove​(String title,
                                                      org.eclipse.lsp4j.Range range,
                                                      org.eclipse.lsp4j.TextDocumentItem document,
                                                      org.eclipse.lsp4j.Diagnostic diagnostic)

Create a CodeAction to remove the content from the given range.

Parameters:
  `title` -
  `range` -
  `document` -
  `diagnostic` -
Returns:

#### insert

    public static org.eclipse.lsp4j.CodeAction insert​(String title,
                                                      org.eclipse.lsp4j.Position position,
                                                      String insertText,
                                                      org.eclipse.lsp4j.TextDocumentItem document,
                                                      org.eclipse.lsp4j.Diagnostic diagnostic)

Create a CodeAction to insert a new content at the end of the given range.

Parameters:
  `title` -
  `range` -
  `insertText` -
  `document` -
  `diagnostic` -
Returns:
  the CodeAction to insert a new content at the end of the given range.

#### insertEdit

    public static org.eclipse.lsp4j.TextDocumentEdit insertEdit​(String insertText,
                                                                org.eclipse.lsp4j.Position position,
                                                                org.eclipse.lsp4j.TextDocumentItem document)

Returns the text edit to insert a new content at the end of the given range.

Parameters:
  `insertText` - text to insert.
  `position` - the position.
  `document` - the text document.
Returns:
  the text edit to insert a new content at the end of the given range.

#### insertEdit

    public static org.eclipse.lsp4j.TextEdit insertEdit​(String insertText,
                                                        org.eclipse.lsp4j.Position position)

#### insertEdits

    public static org.eclipse.lsp4j.TextDocumentEdit insertEdits​(org.eclipse.lsp4j.TextDocumentItem document,
                                                                 List<org.eclipse.lsp4j.TextEdit> edits)

#### replace

    public static org.eclipse.lsp4j.CodeAction replace​(String title,
                                                       org.eclipse.lsp4j.Range range,
                                                       String replaceText,
                                                       org.eclipse.lsp4j.TextDocumentItem document,
                                                       org.eclipse.lsp4j.Diagnostic diagnostic)

#### replace

    public static org.eclipse.lsp4j.CodeAction replace​(String title,
                                                       List<org.eclipse.lsp4j.TextEdit> replace,
                                                       org.eclipse.lsp4j.TextDocumentItem document,
                                                       org.eclipse.lsp4j.Diagnostic diagnostic)

#### getReplaceWorkspaceEdit

    public static org.eclipse.lsp4j.WorkspaceEdit getReplaceWorkspaceEdit​(String replaceText,
                                                                          org.eclipse.lsp4j.Range range,
                                                                          org.eclipse.lsp4j.TextDocumentItem document)

Returns the workspace edit of a given replacement text and range.

Parameters:
  `replaceText` - the text to replace.
  `fileContent` - the range to replace the text over.
  `document` -
Returns:
  the workspace edit of a given replacement text and range.

#### replaceAt

    public static org.eclipse.lsp4j.CodeAction replaceAt​(String title,
                                                         String replaceText,
                                                         org.eclipse.lsp4j.TextDocumentItem document,
                                                         org.eclipse.lsp4j.Diagnostic diagnostic,
                                                         Collection<org.eclipse.lsp4j.Range> ranges)

#### createFile

    public static org.eclipse.lsp4j.CodeAction createFile​(String title,
                                                          String fileURI,
                                                          String fileContent,
                                                          org.eclipse.lsp4j.Diagnostic diagnostic)

Makes a CodeAction to create a file and add content to the file.

Parameters:
  `title` - The displayed name of the CodeAction
  `fileURI` - The file to create
  `fileContent` - The text to put into the newly created document.
  `diagnostic` - The diagnostic that this CodeAction will fix

#### createFileEdit

    public static org.eclipse.lsp4j.WorkspaceEdit createFileEdit​(String fileURI,
                                                                 String fileContent)

Returns the file edit to create the file with the given `fileURI` and the given `fileContent`.

Parameters:
  `fileURI` - the file URI to create.
  `fileContent` - the file content.
Returns:
  the file edit to create the file with the given `fileURI` and the given `fileContent`.

#### createCommand

    public static org.eclipse.lsp4j.CodeAction createCommand​(String title,
                                                             String commandId,
                                                             List<Object> commandParams,
                                                             org.eclipse.lsp4j.Diagnostic diagnostic)

Makes a CodeAction to call a command from the available server commands.

Parameters:
  `title` - The displayed name of the CodeAction
  `commandId` - The id of the given command to add as CodeAction
  `commandParams` - The document URI of the document the command is called on
  `diagnostic` - The diagnostic that this CodeAction will fix